Bug 58968 - kde without xinerama support
kde without xinerama support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 14:25 EST by Gerd v. Egidy
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 03:09:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd v. Egidy 2002-01-28 14:25:48 EST
Description of Problem:

Current versions of kde in rahide come without support for xinerama. All 
current versions of X come with the necessary libraries and xinerama support 
is greatly enhanced with qt3. configuring kdelibs and kdebase with 
--with-xinerama just enables the xinerama controls in kde an not xinerama 
itself so it does no harm to people without xinerama. But it saves all the 
time of recompiling for xinerama users...

Your qt3 already comes with configured-in xinerama support. So all you need to 
do is add --with-xinerama to the configure of kdelibs and kdebase.
Comment 1 Mike A. Harris 2002-02-11 03:09:41 EST
Bero, a while back someone asked for this on IRC, and I chatted with you
about it, and you mentioned it was disabled because it was broken, but
that you hadn't tried it in a while.  I took our 7.2 package, and rebuilt
it for the guy with xinerama enabled for testing.  He reported it works
fine now.  I havent tested it myself, however several others have found
the rpm I put up and thanked me for it so I presume it is safe enough to
enable now in KDE by default possibly.

Officially we do not support xinerama of course, but if it is known to work,
we might want to enable it just for the heck of it.  I dont mind closing
any XFree86 Xinerama bug reports with "sorry we dont support xinerama, we
only provide it as a convenience due to popular request".  ;o)

Just thought I'd mention the success story.
Comment 2 Ngo Than 2002-05-02 10:22:47 EDT
kde 3 in 7.3 supports xinerama

Note You need to log in before you can comment on or make changes to this bug.